EventBuffer::unlock
EventBufferEvent
EventBuffer
PHP Manual

# EventBuffer::write

Write contents of the buffer to a file or socket

### Description

public void EventBuffer::write ( mixed `$fd` [, int `$howmuch` ] )

Write contents of the buffer to a file descriptor. The buffer will be drained after the bytes have been successfully written.

### Parameters

`fd`

  Socket resource, stream or numeric file descriptor associated normally associated with a socket.

`howmuch`

  The maximum number of bytes to write.

### Return Values

Returns the number of bytes written, or `FALSE` on error.

### See Also

- EventBuffer::read